package com.dcsoft.system.utils;

import org.springframework.boot.context.properties.ConfigurationProperties;
import org.springframework.context.annotation.Configuration;

/**
 * SMS短信 配置属性
 *
 * @author Lion Li
 * @version 4.2.0
 */
@Configuration
@ConfigurationProperties(prefix = "backup")
public class BackupConfig {

    //参考示例：# /usr/local/mysql/bin/mysqldump -uroot -p123456 -P3306 shuju > shuju.sql
    /**
     * 备份路径
     */
    private String backupPath;

    /**
     * mysql的绝对路径
     */
    private String mysqlPath;

    /**
     * mysqldump的绝对路径
     */
    private String mysqldumpPath;


    /**
     * ip地址
     */
    private String ip;

    /**
     * 数据库用户名
     */
    private String username;

    /**
     * 数据库密码
     */
    private String password;

    /*
     * 数据库端口号
     */
    private String port;

    /**
     * 数据库名
     */
    private String dbName;


    public String getBackupPath() {
        return backupPath;
    }

    public void setBackupPath(String backupPath) {
        this.backupPath = backupPath;
    }

    public String getMysqldumpPath() {
        return mysqldumpPath;
    }

    public void setMysqldumpPath(String mysqldumpPath) {
        this.mysqldumpPath = mysqldumpPath;
    }

    public String getUsername() {
        return username;
    }

    public void setUsername(String username) {
        this.username = username;
    }

    public String getPassword() {
        return password;
    }

    public void setPassword(String password) {
        this.password = password;
    }

    public String getPort() {
        return port;
    }

    public void setPort(String port) {
        this.port = port;
    }

    public String getDbName() {
        return dbName;
    }

    public void setDbName(String dbName) {
        this.dbName = dbName;
    }

    public String getMysqlPath() {
        return mysqlPath;
    }

    public void setMysqlPath(String mysqlPath) {
        this.mysqlPath = mysqlPath;
    }

    public String getIp() {
        return ip;
    }

    public void setIp(String ip) {
        this.ip = ip;
    }
}
